// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef PRODUCERCONSUMER_DATAEXCHANGE_PUBDATA_PUSHPULL_H
#define PRODUCERCONSUMER_DATAEXCHANGE_PUBDATA_PUSHPULL_H

/************************************************************
 PushPull class header
 ************************************************************/

#include "ProducerConsumer/DataExchange_PubData/Pkg_DataExchange_PubData.h"

#include "ProducerConsumer/DataExchange_PubData/PullC.h"
#include "ProducerConsumer/DataExchange_PubData/PushP.h"

namespace ProducerConsumer {
namespace derivedTypes {
namespace ProducerConsumer {
namespace components {
namespace interfaces {
class PullConsumer_PubData;
}
}
}
}
}
namespace ProducerConsumer {
namespace derivedTypes {
namespace ProducerConsumer {
namespace components {
namespace interfaces {
class Push_PubData;
}
}
}
}
}

namespace ProducerConsumer {
namespace DataExchange_PubData {

/************************************************************/
/**
 * 
 */
class PushPull: public PushP, public PullC {
public:

	/**
	 * 
	 * @return ret 
	 */
	virtual ::ProducerConsumer::derivedTypes::ProducerConsumer::components::interfaces::Push_PubData* get_pushPPush_PubData() = 0;

	/**
	 * 
	 * @return ret 
	 */
	virtual ::ProducerConsumer::derivedTypes::ProducerConsumer::components::interfaces::PullConsumer_PubData* get_pullCPullConsumer_PubData() = 0;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace DataExchange_PubData
} // of namespace ProducerConsumer

/************************************************************
 End of PushPull class header
 ************************************************************/

#endif
